Subject: bug#34952: files with/out final newline look the same no matter what

From: Stefan Monnier <[email-masked]>
Date: Sat, 08 Aug 2020 09:14:35 -0400

>> font-lock is "per buffer" whereas point is "per window", so I'm not sure
>> what "*the* original point" should mean.
> I guess it's not a well-defined question...  but some action triggered
> the fontification, and I guess what's interesting question here is "what
> was point in the window that triggered the fontification"?

In GNU ELPA's `nhexl-mode` I had a similar need, which I solved by using
a `nhexl--point` variable (updated via `post-command-hook`) to keep
track of `point`.

It does mean that the package can't properly handle the case where the
buffer is simultaneously displayed in several windows :-(

        Stefan